summaryrefslogtreecommitdiff
path: root/dev-python/python-utils/python-utils-2.5.3.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-01-26 00:36:55 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-01-26 00:36:55 +0000
commit5ea07af957c7345ab6ff20ef4cd25e5ade6216ea (patch)
tree86a4a10bf6ffd2feffcb097ea07de7916b336f80 /dev-python/python-utils/python-utils-2.5.3.ebuild
parent23f2556ed50efc4ceb886d0c4c6db69bb9e1ec07 (diff)
downloadbaldeagleos-repo-5ea07af957c7345ab6ff20ef4cd25e5ade6216ea.tar.gz
baldeagleos-repo-5ea07af957c7345ab6ff20ef4cd25e5ade6216ea.tar.xz
baldeagleos-repo-5ea07af957c7345ab6ff20ef4cd25e5ade6216ea.zip
Updating liguros repo
Diffstat (limited to 'dev-python/python-utils/python-utils-2.5.3.ebuild')
-rw-r--r--dev-python/python-utils/python-utils-2.5.3.ebuild24
1 files changed, 24 insertions, 0 deletions
diff --git a/dev-python/python-utils/python-utils-2.5.3.ebuild b/dev-python/python-utils/python-utils-2.5.3.ebuild
new file mode 100644
index 000000000000..a014abdb7e6e
--- /dev/null
+++ b/dev-python/python-utils/python-utils-2.5.3.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Collection of small Python functions & classes"
+HOMEPAGE="https://pypi.org/project/python-utils/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ sed -i -e '/--cov/d' -e '/--flake8/d' pytest.ini || die
+ distutils-r1_python_prepare_all
+}